> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rushorder.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rushorder.com/_mcp/server.

# List open delivery time slots

GET https://dream.rushorder.com/api/inbound/timeslots

Returns the open slots among `0`–`3` on the given date: `0` is 8–10 AM, `1` is 10 AM–12 PM, `2` is 12–2 PM, and `3` is 2–4 PM. Book one with [`PUT /inbound`](https://docs.rushorder.com/api-reference/inbound/book-appointment).

Reference: https://docs.rushorder.com/api-reference/inbound/list-timeslots

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `date` (date, required) — The date to check.

### Headers

- `RushOrderMomCode` (string, required) — All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

## Response

### 200

Success

- `list of enum`
  - Allowed values: `0`, `1`, `2`, `3`

## Examples

**Response**

```json
[
  0,
  2,
  3
]
```

**SDK Code**

```python inbound_listTimeslots_example
import requests

url = "https://dream.rushorder.com/api/inbound/timeslots"

querystring = {"date":"2026-11-12"}

headers = {
    "RushOrderMomCode": "ABC"
}

response = requests.get(url, headers=headers, params=querystring, auth=("<username>", "<password>"))

print(response.json())
```

```javascript inbound_listTimeslots_example
const url = 'https://dream.rushorder.com/api/inbound/timeslots?date=2026-11-12';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {RushOrderMomCode: 'ABC', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go inbound_listTimeslots_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://dream.rushorder.com/api/inbound/timeslots?date=2026-11-12"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("RushOrderMomCode", "ABC")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby inbound_listTimeslots_example
require 'uri'
require 'net/http'

url = URI("https://dream.rushorder.com/api/inbound/timeslots?date=2026-11-12")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["RushOrderMomCode"] = 'ABC'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java inbound_listTimeslots_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://dream.rushorder.com/api/inbound/timeslots?date=2026-11-12")
  .header("RushOrderMomCode", "ABC")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php inbound_listTimeslots_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://dream.rushorder.com/api/inbound/timeslots?date=2026-11-12', [
  'headers' => [
    'RushOrderMomCode' => 'ABC',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp inbound_listTimeslots_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://dream.rushorder.com/api/inbound/timeslots?date=2026-11-12");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("RushOrderMomCode", "ABC");

IRestResponse response = client.Execute(request);
```

```swift inbound_listTimeslots_example
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "RushOrderMomCode": "ABC",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://dream.rushorder.com/api/inbound/timeslots?date=2026-11-12")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```